<!--
 * @Author: liuJie
 * @Date: 2026-02-26 13:57:24
 * @LastEditors: liuJie
 * @LastEditTime: 2026-02-27 15:27:23
 * @Describe: file describe
-->
<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <ReceiptRecordDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import ReceiptRecordDetail from './components/ReceiptRecordDetail.vue';

  const route = useRoute();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'receiptRecord-create':
        return '新增奖品领取记录';
      case 'receiptRecord-edit':
        return '编辑奖品领取记录';
      case 'receiptRecord-view':
        return '查看奖品领取记录';
      case 'receiptRecord-audit':
        return '审核奖品领取记录';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>
